#!/usr/bin/env bash

RETAIL="/home/andrew/Games/wine/blizzard_games/World of Warcraft/_retail_/Interface/AddOns"
CLASSIC="/home/andrew/Games/wine/blizzard_games/World of Warcraft/_classic_/Interface/AddOns"
CLASSIC_ERA="/home/andrew/Games/wine/blizzard_games/World of Warcraft/_classic_era_/Interface/AddOns"

echo $RETAIL
echo $CLASSIC
echo $CLASSIC_ERA

func_DONE () {

  tput cuu1
  tput cuf 40
  tput rev
  tput smso
  tput bold
  #tput setb 42
  #tput setf 30
  echo "DONE"
  tput sgr0
}

echo "Updating Retail addons git repo"
{
  cd "$RETAIL"
  git add .
  git commit -m "Updated addons."
  git push
} &> /dev/null
func_DONE

echo "Updating Classic addons git repo"
{
  cd "$CLASSIC"
  git add .
  git commit -m "Updated addons."
  git push
} &> /dev/null
func_DONE

echo "Updating Classic Era addons git repo"
{
  cd "$CLASSIC_ERA"
  git add .
  git commit -m "Updated addons."
  git push
} &> /dev/null
func_DONE
